export declare type Constructor<T> = new (...args: any[]) => T;
declare global {
    interface Function extends ConstructorIsInstanceOf {
    }
}
declare abstract class ConstructorIsInstanceOf {
    isInstanceOf<E, T extends E>(this: Constructor<T>, e: E): e is T;
}
export declare const isInstanceOf: <E, T extends E>(this: Constructor<T>, e: E) => e is T;
export {};
